//
// Preferences
//
// This class provides a single point of entry for all local mozilla
// preferences for the toolbar.
//
// To view these preferences type "about:config" in the URL and filter the
// list by "yahootoolbar".
//
// $Id: $

function Preferences()
{
    // create preferences service and branch
    this.prefService = Components.classes["@mozilla.org/preferences-service;1"]
                            .getService(Components.interfaces.nsIPrefService);
    this.prefs = this.prefService.getBranch("yahootoolbar."); // preferences node

} // end constructor


Preferences.prototype.quickLaunchOn getter = function()
{
    var result = false;

    try {
        result = this.prefs.getBoolPref("quickLaunchOn");
    } catch(e) { 
    	dump("\n" + e + "\n");
        this.prefs.setBoolPref("quickLaunchOn", false);
    }
    return result;
}

Preferences.prototype.quickLaunchFolder getter = function()
{
    var result = "Toolbar" ;

    try {
        result = this.prefs.getCharPref("quickLaunchFolder");
    } catch(e) { 
    	dump("\n" + e + "\n");
        this.prefs.setCharPref("quickLaunchFolder", "Toolbar");
    }
    return result;
}


Preferences.prototype.searchURL getter = function()
{
    var result = null;
    try {
        result = this.prefs.getCharPref("searchURL");
    } catch(e) { 
    	dump("\n" + e + "\n");
    }
    return result;
}


Preferences.prototype.hideBrowserBookmarksMenu getter = function()
{
    var result = false;

    try {
        result = this.prefs.getBoolPref("hideBrowserBookmarksMenu");
    } catch(e) { 
    	dump("\n" + e + "\n");
        this.prefs.setBoolPref("hideBrowserBookmarksMenu", false);
    }
    return result;
}


Preferences.prototype.hideYahooBookmarksMenu getter = function()
{
    var result = false;
    try {
        result = this.prefs.getBoolPref("hideYahooBookmarksMenu");
    } catch(e) { 
    	dump("\n" + e + "\n");
        this.prefs.setBoolPref("hideYahooBookmarksMenu", false);
    }
    return result;
}

Preferences.prototype.createYahooBookmarksBrowserMenu getter = function()
{
    var result = false;

    try {
        result = this.prefs.getBoolPref("createYahooBookmarksBrowserMenu");
    } catch(e) { 
    	dump("\n" + e + "\n");
        this.prefs.setBoolPref("createYahooBookmarksBrowserMenu", false);
    }
    return result;
}

Preferences.prototype.addImportExportLinks getter = function()
{
    var result = false;
    try {
        result = this.prefs.getBoolPref("addImportExportLinks");
    } catch(e) { 
    	dump("\n" + e + "\n");
        this.prefs.setBoolPref("addImportExportLinks", false);
    }
    return result;
} 

Preferences.prototype.refreshCount getter = function()
{
    var result = 8;
    try {
        result = this.prefs.getIntPref("refreshCount");
    } catch(e) { 
    	dump("\n" + e + "\n");
        this.prefs.setIntPref("refreshCount", 8);
    }
    return result;
} 

Preferences.prototype.updateServer getter = function()
{
    var result ;


    try {
        result = this.prefs.getCharPref("updateServer");
    } catch(e) { 
    	dump("\n" + e + "\n");

        result = "http://update.companion.yahoo.com" ;
        this.prefs.setCharPref("updateServer", result ) ;
    }
    return result;
}
 
Preferences.prototype.feed getter = function()
{
	var result
	try {
		result = this.prefs.getIntPref("feed");
	} catch(e) {
		dump("\n" + e + "\n");
		result = 2;
		this.prefs.setIntPref("feed", result);
	}
	return result;
}
Preferences.prototype.feed setter = function(feed)
{
	this.prefs.setIntPref("feed", feed);
}

Preferences.prototype.feedAttrs getter = function()
{
    var result ;


    try {
        result = this.prefs.getCharPref("feedAttrs");
    } catch(e) { 
    	dump("\n" + e + "\n");

        result = "cv5_1_0" ;
        this.prefs.setCharPref("feedAttrs", result ) ;
    }
    return result;
}
